curl --request POST \
--url https://apis.vectalk.com.br/api/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product": "whatsapp",
"to": "5511999999999",
"type": "interactive",
"interactive": {
"type": "list",
"body": { "text": "Selecione um produto:" },
"footer": { "text": "Estoque disponível" },
"action": {
"button": "Ver produtos",
"sections": [
{
"title": "Eletrônicos",
"rows": [
{ "id": "prod_001", "title": "Smartphone X", "description": "R$ 1.999,00" },
{ "id": "prod_002", "title": "Fone Bluetooth", "description": "R$ 299,00" }
]
}
]
}
}
}'
{
"messaging_product": "whatsapp",
"contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
"messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
}
Mensagens
Lista Interativa
Envie um menu com seções e opções selecionáveis
POST
/
messages
curl --request POST \
--url https://apis.vectalk.com.br/api/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product": "whatsapp",
"to": "5511999999999",
"type": "interactive",
"interactive": {
"type": "list",
"body": { "text": "Selecione um produto:" },
"footer": { "text": "Estoque disponível" },
"action": {
"button": "Ver produtos",
"sections": [
{
"title": "Eletrônicos",
"rows": [
{ "id": "prod_001", "title": "Smartphone X", "description": "R$ 1.999,00" },
{ "id": "prod_002", "title": "Fone Bluetooth", "description": "R$ 299,00" }
]
}
]
}
}
}'
{
"messaging_product": "whatsapp",
"contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
"messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
}
Documentation Index
Fetch the complete documentation index at: https://docs.vectalk.com.br/llms.txt
Use this file to discover all available pages before exploring further.
Para responder uma mensagem. Inclua
message_id da mensagem original.Hide campos
Hide campos
Hide campos
Hide campos
curl --request POST \
--url https://apis.vectalk.com.br/api/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product": "whatsapp",
"to": "5511999999999",
"type": "interactive",
"interactive": {
"type": "list",
"body": { "text": "Selecione um produto:" },
"footer": { "text": "Estoque disponível" },
"action": {
"button": "Ver produtos",
"sections": [
{
"title": "Eletrônicos",
"rows": [
{ "id": "prod_001", "title": "Smartphone X", "description": "R$ 1.999,00" },
{ "id": "prod_002", "title": "Fone Bluetooth", "description": "R$ 299,00" }
]
}
]
}
}
}'
{
"messaging_product": "whatsapp",
"contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
"messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
}
⌘I